package com.fjhx.service.quality;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.quality.QualityDetails;
import com.fjhx.params.quality.QualityDetailsVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 质检明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2023-02-13
 */
public interface QualityDetailsService extends BaseService<QualityDetails> {

    Page<QualityDetails> getPage(Map<String, Object> condition);

    void add(QualityDetailsVo qualityDetailsVo);

    void edit(List<QualityDetails> qualityDetailsList);

    void delete(QualityDetailsVo qualityDetailsVo);

}
